This is a Laravel 5 package that provides salary management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `payroll/salary`.

    "payroll/salary": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Payroll\Salary\Providers\SalaryServiceProvider::class,

```

And also add it to alias

```php
'Salary'  => Payroll\Salary\Facades\Salary::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Payroll\Salary\Providers\SalaryServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Payroll\Salary\Providers\SalaryServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Payroll\Salary\Providers\SalaryServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Payroll\Salary\Providers\SalaryServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Payroll\Salary\Providers\SalaryServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Payroll\Salary\Providers\SalaryServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


