<?php

// Admin  routes  for salary
Route::group(['prefix' => '/admin/salary'], function () {
    Route::put('news/workflow/{salary}/{step}', 'SalaryAdminController@putWorkflow');
    Route::resource('salary', 'SalaryAdminController');
});


// User  routes for salary
Route::group(['prefix' => '/user/salary'], function () {
    Route::resource('salary', 'SalaryUserController');
});

// Public  routes for salary
Route::group(['prefix' => '/salaries'], function () {
    Route::get('news/workflow/{salary}/{step}/{user}', 'SalaryController@getWorkflow');
    Route::get('/', 'SalaryPublicController@index');
    Route::get('/{slug?}', 'SalaryPublicController@show');
});


