<?php

use Illuminate\Database\Seeder;

class SalaryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('salaries')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'salary.salary.view',
                'name'      => 'View Salary',
            ],
            [
                'slug'      => 'salary.salary.create',
                'name'      => 'Create Salary',
            ],
            [
                'slug'      => 'salary.salary.edit',
                'name'      => 'Update Salary',
            ],
            [
                'slug'      => 'salary.salary.delete',
                'name'      => 'Delete Salary',
            ],
            /*
            [
                'slug'      => 'salary.salary.verify',
                'name'      => 'Verify Salary',
            ],
            [
                'slug'      => 'salary.salary.approve',
                'name'      => 'Approve Salary',
            ],
            [
                'slug'      => 'salary.salary.publish',
                'name'      => 'Publish Salary',
            ],
            [
                'slug'      => 'salary.salary.unpublish',
                'name'      => 'Unpublish Salary',
            ],
            [
                'slug'      => 'salary.salary.cancel',
                'name'      => 'Cancel Salary',
            ],
            [
                'slug'      => 'salary.salary.archive',
                'name'      => 'Archive Salary',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/salary/salary',
                'name'        => 'Salary',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/salary/salary',
                'name'        => 'Salary',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'salary',
                'name'        => 'Salary',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'salary.salary.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
