<?php

return [

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Salary',
    'names'         => 'Salaries',
    'title'       => [
        'user'  => 'My Salaries',
        'admin' => 'Salaries',
        'sub'   => [
            'user'  => 'Salaries created by me',
            'admin' => 'Salaries',
        ],
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company',
        'department_id'              => 'Please enter department',
        'employee_id'                => 'Please enter employee',
        'slug'                       => 'Please enter slug',
        'name'                       => 'Please enter name',
        'monthly_pay'                => 'Please enter monthly pay',
        'fixed_allowance'            => 'Please enter fixed allowance',
        'fixed_allowance_code'        => 'Please enter fixed allowance code',
        'fixed_deduction'            => 'Please enter fixed deduction',
        'fixed_deduction_code'        => 'Please enter fixed deduction code',
        'currency'                   => 'Please enter currency',
        'bank_name'                  => 'Please enter bank name',
        'account_no'                 => 'Please enter account no',
        'branch_name'                => 'Please enter branch name',
        'ifsc_code'                  => 'Please enter ifsc code',
        'swift_code'                 => 'Please enter swift code',
        'created_at'                 => 'Please select created',
        'updated_at'                 => 'Please select updated',
        'deleted_at'                 => 'Please select deleted',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company',
        'department_id'              => 'Department',
        'employee_id'                => 'Employee',
        'slug'                       => 'Slug',
        'name'                       => 'Name',
        'monthly_pay'                => 'Monthly pay',
        'fixed_allowance'            => 'Fixed allowance',
        'fixed_allowance_code'        => 'Fixed allowance code',
        'fixed_deduction'            => 'Fixed deduction',
        'fixed_deduction_code'        => 'Fixed deduction code',
        'currency'                   => 'Currency',
        'bank_name'                  => 'Bank name',
        'account_no'                 => 'Account no',
        'branch_name'                => 'Branch name',
        'ifsc_code'                  => 'Ifsc code',
        'swift_code'                 => 'Swift code',
        'created_at'                 => 'Created',
        'updated_at'                 => 'Updated',
        'deleted_at'                 => 'Deleted',
        'status'                     => 'Status',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Name',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
