<div class="container">
    <h1> Salaries</h1>

    <div class="row">
        <div class="col-md-8">
            @forelse($salaries as $salary)
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $salary['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('salary') }}/{!! $salary->getPublicKey() !!}" class="btn btn-default pull-right"> {{ trans('app.details')  }}</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('salary::salary.label.id') !!}
                </label><br />
                    {!! $salary['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="company_id">
                    {!! trans('salary::salary.label.company_id') !!}
                </label><br />
                    {!! $salary['company_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="department_id">
                    {!! trans('salary::salary.label.department_id') !!}
                </label><br />
                    {!! $salary['department_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="employee_id">
                    {!! trans('salary::salary.label.employee_id') !!}
                </label><br />
                    {!! $salary['employee_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('salary::salary.label.slug') !!}
                </label><br />
                    {!! $salary['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('salary::salary.label.name') !!}
                </label><br />
                    {!! $salary['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="monthly_pay">
                    {!! trans('salary::salary.label.monthly_pay') !!}
                </label><br />
                    {!! $salary['monthly_pay'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="fixed_allowance">
                    {!! trans('salary::salary.label.fixed_allowance') !!}
                </label><br />
                    {!! $salary['fixed_allowance'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="fixed_allowance_code">
                    {!! trans('salary::salary.label.fixed_allowance_code') !!}
                </label><br />
                    {!! $salary['fixed_allowance_code'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="fixed_deduction">
                    {!! trans('salary::salary.label.fixed_deduction') !!}
                </label><br />
                    {!! $salary['fixed_deduction'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="fixed_deduction_code">
                    {!! trans('salary::salary.label.fixed_deduction_code') !!}
                </label><br />
                    {!! $salary['fixed_deduction_code'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="currency">
                    {!! trans('salary::salary.label.currency') !!}
                </label><br />
                    {!! $salary['currency'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="bank_name">
                    {!! trans('salary::salary.label.bank_name') !!}
                </label><br />
                    {!! $salary['bank_name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="account_no">
                    {!! trans('salary::salary.label.account_no') !!}
                </label><br />
                    {!! $salary['account_no'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="branch_name">
                    {!! trans('salary::salary.label.branch_name') !!}
                </label><br />
                    {!! $salary['branch_name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="ifsc_code">
                    {!! trans('salary::salary.label.ifsc_code') !!}
                </label><br />
                    {!! $salary['ifsc_code'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="swift_code">
                    {!! trans('salary::salary.label.swift_code') !!}
                </label><br />
                    {!! $salary['swift_code'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('salary::salary.label.created_at') !!}
                </label><br />
                    {!! $salary['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('salary::salary.label.updated_at') !!}
                </label><br />
                    {!! $salary['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('salary::salary.label.deleted_at') !!}
                </label><br />
                    {!! $salary['deleted_at'] !!}
            </div>
        </div>
    </div>
            </div>
            @empty
            <div class="card-box">
                <p class="text-muted m-b-25 font-13">
                    Your search for <b>'{{Request::get('search')}}'</b> returned empty result.
                </p>
            </div>
            @endif
            {{$salaries->render()}}
        </div>
        <div class="col-md-4">
            @include('salary::public.salary.aside')
        </div>
    </div>
</div>