<?php

namespace Payroll\Salary\Repositories\Eloquent;

use Payroll\Salary\Interfaces\SalaryRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SalaryRepository extends BaseRepository implements SalaryRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('payroll.salary.salary.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('payroll.salary.salary.model');
    }
}
